"""
__author__ = '霍格沃兹测试开发学社'
__desc__ = '更多测试开发技术探讨，请访问：https://ceshiren.com/t/topic/15860'
"""
from selenium import webdriver
from selenium.webdriver.support import expected_conditions
from selenium.webdriver.support.wait import WebDriverWait


class BasePage:
    """基类"""

    _BASE_URL = ''

    def __init__(self, base_driver=None):

        # 浏览器的实例化
        if base_driver:
            self.driver = base_driver
        else:
            # 实例化浏览器
            self.driver = webdriver.Chrome()
            self.driver.implicitly_wait(15)
            self.driver.maximize_window()

        if not self.driver.current_url.startswith("http"):
            self.driver.get(self._BASE_URL)

    # 定位方式封装
    def do_find(self, by, locator: str):
        element = self.driver.find_element(by, locator)
        return element

    def do_finds(self, by, locator: str):
        element = self.driver.find_elements(by, locator)
        return element

    def do_screenshot(self):
        pass

    def wait_ele_until_visible(self, locator: tuple):
        """显式等待"""
        WebDriverWait(self.driver, 10, 2).until(
            expected_conditions.visibility_of_element_located(locator)
        )

    def do_quit(self):
        self.driver.quit()

