"""
__author__ = '霍格沃兹测试开发学社'
__desc__ = '更多测试开发技术探讨，请访问：https://ceshiren.com/t/topic/15860'
"""
from selenium.webdriver.common.by import By

from page_objects.base_page import BasePage
from utils.log_utils import logger


class MemberPage(BasePage):
    """填写成员信息页面"""
    __INPUT_USERNAME = By.ID, "username"
    __INPUT_ACCTID = By.ID, "memberAdd_acctid"
    __INPUT_MOBILE = By.NAME, "mobile"
    __BTN_SAVE = By.CSS_SELECTOR, ".qui_btn.ww_btn.js_btn_save"

    def fill_out_info(self, username, acctid, mobile):
        """填写信息"""
        logger.info("填写信息")

        # 填写用户名
        self.do_find(*self.__INPUT_USERNAME).send_keys(username)
        # 填写id
        self.do_find(*self.__INPUT_ACCTID).send_keys(acctid)
        # 填写手机号
        self.do_find(*self.__INPUT_MOBILE).send_keys(mobile)

        # 点击保存
        self.do_find(*self.__BTN_SAVE).click()

        from page_objects.contact_page import ContactPage
        return ContactPage(self.driver)